Program BO4_4;

(* FLAG -Werror *)

Type
  Foo = object
    Constructor Bar ( Partner: Foo );
  end (* Foo *);

Constructor Foo.Bar ( Partner: Foo );

begin (* Foo.Bar *)
  writeln ( 'OK' );
end (* Foo.Bar *);

Var
  FooBar: Foo;

begin
  FooBar.Bar ( FooBar );
end.
